Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List channel content by parent

Lists content entries for a channel filtered by parent id.

GET/api/v2/{team_slug}/{app_slug}/channels/{channel_id}/content/parent/{parent_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
channel_idstring<uuid>required
parent_idstring<uuid>required
Query parameters
pageinteger
per-pageinteger
parent-typestring
field-typestring
Responses
200

OK

dataChannelContent[]required
Show properties
Array of ChannelContent
idUUIDrequired
parent_idUUIDrequired
parent_typestringrequired
field_typestringrequired
valuestring | null
translationsChannelContentTranslation[] | null
Show properties
Array of ChannelContentTranslation
language_codestringrequired
valuestringrequired
relationshipsUUID[] | null
previewstring[] | null
created_atstring<date-time>required
updated_atstring<date-time> | null
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/channels/497f6eca-6276-4993-bfeb-53cbbbba6f08/content/parent/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "parent_type": "string",
      "field_type": "string",
      "value": "string",
      "translations": [
        {
          "language_code": "string",
          "value": "string"
        }
      ],
      "relationships": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "preview": [
        "string"
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}